#! /bin/sh

# FAIL: If the same revision is tagged twice, one of the tags is lost
# in the conversion.

set -e
set -x

CVSROOT=$(pwd)/cvs
export CVSROOT

rm -rf cvs wc git $HOME/.cvsps

cvs init
cvs co -d wc .
(
    cd wc
    mkdir module
    cvs add module
)
(
    cd wc/module
    echo '1.1' >a.txt
    cvs add a.txt
    cvs commit -m 'Add a.txt'
    cvs tag TAG1
    cvs tag TAG2
)
git cvsimport -a -C git module
(
    cd git
    gitk --all &
)
